Package org.jboss.resteasy.core.interception.jaxrs

## Class JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory

- java.lang.Object
- - org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory

- All Implemented Interfaces:
    `JaxrsInterceptorRegistry.InterceptorFactory`
  Direct Known Subclasses:
    `JaxrsInterceptorRegistryImpl.OnDemandInterceptorFactory`, `JaxrsInterceptorRegistryImpl.SingletonInterceptorFactory`
  Enclosing class:
    JaxrsInterceptorRegistryImpl<T>

      public abstract class JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory
      extends Object
      implements JaxrsInterceptorRegistry.InterceptorFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Class` | `declaring` |
    `protected boolean` | `ignorePrematch` |
    `protected boolean` | `initialized` |
    `protected List<Class<? extends Annotation>>` | `nameBound` |
    `protected int` | `order` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractInterceptorFactory​(Class declaring)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `checkInitialize()` |
    `protected Object` | `createInterceptor()` |
    `protected abstract Object` | `getInterceptor()` |
    `protected abstract void` | `initialize()` |
    `JaxrsInterceptorRegistry.Match` | `postMatch​(Class targetClass, AccessibleObject target)` |
    `JaxrsInterceptorRegistry.Match` | `preMatch()` |
    `void` | `setIgnorePrematch​(boolean ignorePrematch)` |
    `void` | `setOrder​(int order)` |
    `protected void` | `setPrecedence​(Class<?> declaring)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### declaring

          protected final Class declaring

    - #### order

          protected int order

    - #### nameBound

          protected List<Class<? extends Annotation>> nameBound

    - #### initialized

          protected volatile boolean initialized

    - #### ignorePrematch

          protected boolean ignorePrematch

  - ### Constructor Detail

    - #### AbstractInterceptorFactory

          public AbstractInterceptorFactory​(Class declaring)

  - ### Method Detail

    - #### setPrecedence

          protected void setPrecedence​(Class<?> declaring)

    - #### initialize

          protected abstract void initialize()

    - #### getInterceptor

          protected abstract Object getInterceptor()

    - #### checkInitialize

          protected void checkInitialize()

    - #### setOrder

          public void setOrder​(int order)

    - #### setIgnorePrematch

          public void setIgnorePrematch​(boolean ignorePrematch)

    - #### preMatch

          public JaxrsInterceptorRegistry.Match preMatch()

      Specified by:
        `preMatch` in interface `JaxrsInterceptorRegistry.InterceptorFactory`

    - #### postMatch

          public JaxrsInterceptorRegistry.Match postMatch​(Class targetClass,
                                                          AccessibleObject target)

      Specified by:
        `postMatch` in interface `JaxrsInterceptorRegistry.InterceptorFactory`

    - #### createInterceptor

          protected Object createInterceptor()